{% extends 'profile/layouts/admin/admin_layout.html' %}
{% load static %}
{% load humanize %}
{% load mathfilters %}
{% load custom_tags %}

{% block css %}
    <style>
        .img-bagss {
            position: absolute;
            top: 0;
            background-color: rgba(255, 0, 0, 0.8);
            text-align: center;
            font-weight: 500;
            line-height: 16px;
            padding: 5px 10px;
            color: #FFFFFF;
            border-radius: 5px 5px 5px 0;
        }
        .img-bagss .tag-bln { font-size: 15px; }
    </style>
{% endblock css %}

{% block navbar %}
    {% include 'profile/layouts/admin/navbar.html' %}
{% endblock navbar %}

{% block main %}
    <nav aria-label="breadcrumb">
        <ol class="breadcrumb">
            <li class="breadcrumb-item"><a href="{% url 'profile:admin_home' %}">Rekapitulasi Tagihan</a></li>
            <li class="breadcrumb-item active" aria-current="page">List Rekapitulasi Tagihan</li>
        </ol>
    </nav>


    <div class="card shadow mb-5">
        <div class="card-header py-3 d-flex flex-row align-items-center justify-content-between">
            <div class="d-flex">
                <div class="d-flex align-items-center position-relative">
                    <i id="searchIcon" class="bi bi-search fs-3 position-absolute ml-2 mr-5"></i>
                    <input type="text" data-kt-ecommerce-product-filter="search" class="form-control form-control-solid w-250px pl-4" placeholder="Search" id="searchInput" />
                    <div id="loadingIndicator" style="display: none; position: absolute; left: 8px; top: 50%; transform: translateY(-50%);">
                        <span class="spinner-border spinner-border-sm" role="status" aria-hidden="true"></span>
                    </div>
                </div>
                <div class="btn-reset ml-3">
                    <button class="btn btn-primary" id="resetButton">Semua Data</button>
                </div>
            </div>
            <div class="d-flex">
                <input type="date" class="form-control" id="dateInput">
                <div class="btn-print ml-2">
                    <button class="btn btn-primary" data-url="{% url 'profile:cetak_laporan_tagihan' %}?tanggal={{tanggal_search}}&search={{hasil_search}}" onclick="print_tagihan(this, event)" type="button"><i class="fa fa-save"></i> Print </button>
                </div>
                <div class="btn-export ml-2">
                    <a href="{% url 'profile:cetak_laporan_tagihan_excel' %}?tanggal={{ tanggal_search }}&search={{ hasil_search }}" class="btn btn-success">
                        <i class="fa fa-file-excel"></i> Export to Excel
                    </a>
                </div>
            </div>

        </div>
        <div class="card-body">
            <div class="row">
                <div class="col-md-12">
                    <div class="table-responsive">
                        <table class="table table-striped table-bordered" style="width: 100%;">
                            <thead class="bg-primary text-white">
                                <thead class="bg-primary text-white">
                                    <tr>
                                        <th class="text-center align-middle">No</th>
                                        <th class="text-center align-middle">Tanggal</th>
                                        <th class="text-center align-middle">SKPD</th>
                                        <th class="text-center align-middle">Bagian</th>
                                        <th class="text-center align-middle">Kegiatan</th>
                                        <th class="text-center align-middle">No SPK</th>
                                        <th class="text-center align-middle">Urai SPK</th>
                                        <th class="text-center align-middle">Pihak Ketiga</th>
                                        <th class="text-center align-middle">Nilai Tagihan</th>
                                    </tr>
                                </thead>
                                <tbody>
                                    {% for data_faktur in list_data_faktur %}
                                        <tr>
                                            <td class="text-center">{{ forloop.counter }}</td>
                                            <td>{{ data_faktur.tanggal }}</td>
                                            <td>{{ data_faktur.skpd }}</td>
                                            <td>{{ data_faktur.bagian }}</td>
                                            <td>{{ data_faktur.kegiatan }}</td>
                                            <td colspan="3"></td>
                                            <td>{{ data_faktur.total_spk }}</td>
                                        </tr>
                                        {% for dt_children in data_faktur.children %}
                                        <tr>
                                            <td colspan="5"></td>
                                            <td>{{ dt_children.nospk }}</td>
                                            <td>{{ dt_children.uraispk }}</td>
                                            <td>{{ dt_children.perusahaan }}</td>
                                            <td>{{ dt_children.total_tagihan }}</td>
                                        </tr>
                                        {% endfor %}
                                    {% endfor %}
                                </tbody>
                                
                            <tfoot>
                                <tr>
                                    <td colspan="8">Total Tagihan</td>
                                    <td>{{total_keseluruhan}}</td>
                                </tr>
                            </tfoot>
                        </table>
                    </div>
                </div>
            </div>
        </div>
    </div>

{% endblock main %}

{% block footer %}
    {% include 'profile/layouts/admin/footer.html' %}
{% endblock footer %}

{% block scripts_bawah %}
<script>
    
    let searchParams = new URLSearchParams(window.location.search);

    function updateUrl(parameterName, parameterValue) {
        searchParams.delete(parameterName);
        if (parameterValue) {
            searchParams.append(parameterName, parameterValue);
        }
        window.location.search = searchParams.toString();
    }

    function resetUrl() {
        window.location.search = '';
    }

    let typingTimer;
    const doneTypingInterval = 1000; // Delay sebelum pencarian
    const dateInput = document.getElementById("dateInput");
    const resetButton = document.getElementById("resetButton");
    const inputElement = document.getElementById("searchInput");
    const searchIcon = document.getElementById("searchIcon");
    const loadingIndicator = document.getElementById("loadingIndicator");

    document.addEventListener("DOMContentLoaded", function () {
        // Ambil tanggal dari URL
        const savedDate = searchParams.get("tanggal");
        if (savedDate) {
            dateInput.value = savedDate;
        }

        // Ambil query pencarian dari URL dan localStorage
        const savedQuery = searchParams.get("search") || localStorage.getItem("searchQuery");
        if (savedQuery) {
            inputElement.value = savedQuery;
            setTimeout(() => {
                inputElement.focus();
                inputElement.setSelectionRange(inputElement.value.length, inputElement.value.length);
            }, 0);
        }
    });

    dateInput.addEventListener("change", function () {
        updateUrl("tanggal", this.value);
    });

    inputElement.addEventListener("input", function () {
        clearTimeout(typingTimer);
        searchIcon.style.display = "none";
        loadingIndicator.style.display = "block";

        typingTimer = setTimeout(() => {
            const query = inputElement.value.trim();
            updateUrl("search", query);
            localStorage.setItem("searchQuery", query);
        }, doneTypingInterval);
    });

    resetButton.addEventListener("click", function () {
        resetUrl();
        localStorage.removeItem("searchQuery"); // Hapus query pencarian dari localStorage
    });
</script>




    <script>
        function EditBAPA(e){
            showModal(e, {size : 'fullscreen'})
        }
        function TambahBAPA(e){
            showModal(e, {size : 'fullscreen'})
        }
        function PrintBAPA(e){
            showModal(e, {size : 'large'})
        }
        function print_tagihan(e, ev){
            ShowIframeReport(
                `${$(e).data('url')}`,
                'Print Laporan Tagihan',
                ev
            );
        }

    </script>
{% endblock scripts_bawah %}